package com.ozs.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.entity.MonitorSystem;
import com.ozs.entity.vo.AlarmHeartbeatLog;
import com.ozs.entity.vo.MonitorSystemVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author wyy
 * @subject
 * @creat 2023/7/25
 */
public interface MonitorSystemMapper extends BaseMapper<MonitorSystem> {
    /**
     * 新增监测系统
     *
     * @param monitorSystem 监测系统信息
     * @return 结果
     */
    public int insertMonitorSystem(MonitorSystem monitorSystem);

    /**
     * 通过监测系统ID删除信息
     *
     * @param id 监测系统ID
     * @return 结果
     */
    public int deleteById(Long id);

    /**
     * 批量删除监测系统
     *
     * @param ids 需要监测系统ID
     * @return 结果
     */
    public int deleteByIds(Long[] ids);

    /**
     * 校验客户端编号是否唯一
     *
     * @param clientId 客户端编号
     * @return 结果
     */
    public MonitorSystem checkClientIdUnique(String clientId);

    /**
     * 查询系统是否在线
     *
     * @param id 监测系统id
     * @return 结果
     */
    public MonitorSystem checkSystemOnline(Long id);

    Map<String, Object> monitorSystemCount();

    List<MonitorSystem> monitorSystemList();

    AlarmHeartbeatLog selectAlarmHeartbeatLogByClientId(@Param("clientId") String clientId);

    List<MonitorSystem> monitorSystemPage(MonitorSystemVo monitorSystemVo);
}

